Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.transport.impl
Class PullGENAEventProcessorImpl

    java.lang.Object
      org.fourthline.cling.transport.impl.GENAEventProcessorImpl
          org.fourthline.cling.transport.impl.PullGENAEventProcessorImpl

All Implemented Interfaces:
  GENAEventProcessor, ErrorHandler

Direct Known Subclasses:
  RecoveringGENAEventProcessorImpl

    @Alternative
    public class PullGENAEventProcessorImpl

extends GENAEventProcessorImpl

Implementation based on the Xml Pull Parser XML processing API.

This processor is more lenient with parsing, looking only for the required XML tags.

To use this parser you need to install an implementation of the XMLPull API.

Author:
  Michael Pujos

Constructor Summary
`PullGENAEventProcessorImpl()`

Method Summary
`void` | `readBody(IncomingEventRequestMessage requestMessage)` Transforms an XML message body and adds to a collection of `StateVariableValue`s..
`protected void` | `readProperties(org.xmlpull.v1.XmlPullParser xpp, IncomingEventRequestMessage message)`
`protected void` | `readProperty(org.xmlpull.v1.XmlPullParser xpp, IncomingEventRequestMessage message, StateVariable[] stateVariables)`

Methods inherited from class org.fourthline.cling.transport.impl.GENAEventProcessorImpl
`createDocumentBuilderFactory, error, fatalError, getMessageBody, getUnprefixedNodeName, readProperties, readPropertysetElement, toString, warning, writeBody, writeProperties, writePropertysetElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PullGENAEventProcessorImpl

    public PullGENAEventProcessorImpl()

Method Detail

### readBody

    public void readBody(IncomingEventRequestMessage requestMessage)
                  throws UnsupportedDataException

  Description copied from interface: `GENAEventProcessor`
  Transforms an XML message body and adds to a collection of `StateVariableValue`s..

  Specified by:
    `readBody` in interface `GENAEventProcessor`
  Overrides:
    `readBody` in class `GENAEventProcessorImpl`
  Parameters:
    `requestMessage` - The message to transform.
  Throws:
    `UnsupportedDataException`

### readProperties

    protected void readProperties(org.xmlpull.v1.XmlPullParser xpp,
                                  IncomingEventRequestMessage message)
                           throws Exception

  Throws:
    `Exception`

### readProperty

    protected void readProperty(org.xmlpull.v1.XmlPullParser xpp,
                                IncomingEventRequestMessage message,
                                StateVariable[] stateVariables)
                         throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.